# Uses of Class
org.apache.sysds.runtime.transform.encode.LegacyEncoder

Packages that use LegacyEncoder
Package
Description
org.apache.sysds.runtime.transform.encode

## Uses of LegacyEncoder in org.apache.sysds.runtime.transform.encode

Subclasses of LegacyEncoder in org.apache.sysds.runtime.transform.encode
Modifier and Type
Class
Description
`class`
`EncoderMVImpute`
`class`
`EncoderOmit`
Methods in org.apache.sysds.runtime.transform.encode with type parameters of type LegacyEncoder
Modifier and Type
Method
Description
`<T extends LegacyEncoder>
void`
MultiColumnEncoder.`addReplaceLegacyEncoder(T encoder)`
`<T extends LegacyEncoder>
T`
MultiColumnEncoder.`getLegacyEncoder(Class<T> type)`
`<T extends LegacyEncoder>
boolean`
MultiColumnEncoder.`hasLegacyEncoder()`
`<T extends LegacyEncoder>
boolean`
MultiColumnEncoder.`hasLegacyEncoder(Class<T> type)`
Methods in org.apache.sysds.runtime.transform.encode that return LegacyEncoder
Modifier and Type
Method
Description
`LegacyEncoder`
EncoderMVImpute.`subRangeEncoder(IndexRange ixRange)`
`LegacyEncoder`
LegacyEncoder.`subRangeEncoder(IndexRange ixRange)`
Returns a new Encoder that only handles a sub range of columns.
Methods in org.apache.sysds.runtime.transform.encode with parameters of type LegacyEncoder
Modifier and Type
Method
Description
`void`
EncoderMVImpute.`mergeAt(LegacyEncoder other, int row, int col)`
`void`
LegacyEncoder.`mergeAt(LegacyEncoder other, int row, int col)`
Merges another encoder, of a compatible type, in after a certain position.